---
layout: default
title: Fabric Composer Network Undeploy CLI
category: reference
sidebar: sidebars/reference.md
excerpt: Composer Network Undeploy CLI
---

# Fabric Composer Network Undeploy

---

The `composer network undeploy` utility is used to undeploy a business network from a Hyperledger Fabric runtime.

```
composer network undeploy -a <business-network-archive> -i <enrollment-id> -s <enrollment-secret>
```

Note that after undeploy the business network definition can no longer be used, however the docker container
associated with the business network definition is still running. The docker container for the business network
definition must be explicitly stopped and removed if no longer needed.

### Options
```
  --help                       Show help  [boolean]
  -v, --version                Show version number  [boolean]
  --archiveFile, -a            The business network archive file name  [string] [required]
  --connectionProfileName, -p  The connection profile name  [string]
  --enrollId, -i               The enrollment ID of the user  [string] [required]
  --enrollSecret, -s           The enrollment secret of the user  [string]
  ```

## Example Output

```
composer network undeploy -n digitalproperty-network -i WebAppAdmin -s DJY27pEnl16d
Undeploying business network definition. This may take some seconds...
Command completed successfully.
```
