# Fabric Composer API
Fabric Composer  is an application development framework for building blockchain applications based on Hyperledger. This is the API JSDoc for the Fabric Composer Client, Admin and Runtime Javascript APIs.


## Overview
The major components of Fabric Composer are:

1. The Fabric Composer language for describing the structure of resources (assets, participants
and transactions) that participate in a blockchain backed business network.
2. Javascript APIs to query, create, update and delete resources and submit transactions
 from client applications. Fabric Composer resources are stored on the blockchain.
3. Javascript transaction processor functions that runs on Hyperledger when transactions are
submitted for processing. These functions may update the state of resources
stored on the blockchain via server-side Fabric Composer APIs.

##  Resources

- [Documentation](https://fabric-composer.github.io/)
- [npm modules](https://www.npmjs.com/search?q=fabric-composer)
- [github repositories](https://github.com/fabric-composer)

## Contributing

To read more about the community and guidelines for submitting pull requests,
please read the [Contributing document](https://github.com/fabric-composer/fabric-composer/blob/master/CONTRIBUTING.md).
